package com.chinaitop.depot.intelligent.fumigation.service;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPesticide;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPesticideExample;

import java.util.List;
import java.util.Map;

/**
 * @author lvzhikai
 * @description: 施药管理
 * @create 2018-12-15 11:00
 */
public interface PesticidePlanService {

    List<Map<String,Object>> getPesticidePlanList(Map<String, Object> map);
    List<Map<String,Object>> getPesticidePlanLists(Map<String, Object> map);

    List<TFumigationPesticide> getFumigationPesticideList(TFumigationPesticideExample example);

    /**
     * 根据id查询施药方案申请数据
     * @param pesticideId
     * @return
     */
    TFumigationPesticide findById(String pesticideId);

    void add(TFumigationPesticide tFumigationPesticide);

    void update(TFumigationPesticide tFumigationPesticide);

    void updateByExample(TFumigationPesticide tFumigationPesticide, TFumigationPesticideExample example);

    void submit(String id, Integer approvalStatus);
}
